> For the complete documentation index, see [llms.txt](https://docs.hyper-space.io/hyperspace-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering/term-match.md).

# Term Match

##

The term query is used to search for documents that contain a specific exact value in a particular field. It is designed for exact matches and is commonly used for fields that are not analyzed, such as keyword fields.

You can match either keywords or keywords or lists . For keywords, match requires exact match between the keywords and for lists of keywords, it requires an exact match between any two keywords in the two lists.&#x20;

**Example 1**:

{% code lineNumbers="true" %}

```json
{
  "query": {
    "term": {
      "Continent": "Asia"
    }
  }
}

```

{% endcode %}

In the above example, Candidates must include the field 'Continent' and contain the value "Asia" under the field 'Continent' will be returned

**Example 2**:

{% code lineNumbers="true" %}

```json
{
  "query": {
    "term": {
      "Continent": ["Asia", "Europe", "Africa"]
    }
  }
}

```

{% endcode %}

In the above example, candidates must include the field 'Continent' with any of the following values - "Asia", "Europe", "Africa" under the field 'Continent' will be returned


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hyper-space.io/hyperspace-docs/api-documentation/dsl-query-framework/candidate-generation-and-metadata-filtering/term-match.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
